#!/bin/sh
# mewstunnel: stunnel wrapper for Mew
# 
# Author: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
# Created: 31 Jan 2005
# Revised: 03 Sep 2014
# 
# Copyright (c) 2005-2014 Tatsuya Kinoshita
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted without restriction, with NO WARRANTY.
# You may regard this as a work that is placed in the public domain.

prog=/usr/sbin/stunnel
for f in "$MEW_PROG_STUNNEL" "`command -v stunnel4`" /usr/local/sbin/stunnel4 \
    /usr/sbin/stunnel4 "`command -v stunnel`" /usr/local/sbin/stunnel; do

    if [ -n "$f" ] && [ -x "$f" ]; then
	prog=$f
	break
    fi
done

LC_ALL=C
export LC_ALL

"$prog" "$@"
